com.hazelcast.core

## Interface MapLoaderLifecycleSupport

-     public interface MapLoaderLifecycleSupport

  Provides Lifecycle support for the implementing MapLoader class. MapLoader classes implementing MapLoaderLifecycleSupport interface will be called by Hazelcast on init and destroy so that implementation can do necessary configuration when initializing and clean up when destroying.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Hazelcast will call this method before shutting down.
    `void` | `init(HazelcastInstance hazelcastInstance, Properties properties, String mapName)` Initializes this MapLoader implementation.

- - ### Method Detail

    - #### init

          void init(HazelcastInstance hazelcastInstance,
                    Properties properties,
                    String mapName)

      Initializes this MapLoader implementation. Hazelcast will call this method when the map is first used on the HazelcastInstance. Implementation can initialize required resources for the implementing mapLoader, such as reading a config file and/or creating a database connection. References to maps, other than the one on which this `MapLoader` is configured, can be obtained from the `hazelcastInstance` in this method's implementation.

      On members joining a cluster, this method is executed during finalization of the join operation, therefore care should be taken to adhere to the rules for `PostJoinAwareService.getPostJoinOperation()`. If the implementation executes operations which may wait on locks or otherwise block (e.g. waiting for network operations), this may result in a time-out and obstruct the new member from joining the cluster. If blocking operations are required for initialization of the `MapLoader`, consider deferring them with a lazy initialization scheme.

      Parameters:
        `hazelcastInstance` - HazelcastInstance of this mapLoader.
        `properties` - Properties set for this mapStore. see MapStoreConfig
        `mapName` - name of the map.

    - #### destroy

          void destroy()

      Hazelcast will call this method before shutting down. This method can be overridden to clean up the resources held by this map loader implementation, such as closing the database connections, etc.

Copyright © 2020. All rights reserved.